<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="mdp_verbose_silent"
          xml:lang="en" xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>Page created on July 31, 2001. Last update on November 16,
    2009.</pubdate>
  </info>

  <refnamediv>
    <refname>mdp_verbose, mdp_silent</refname>

    <refpurpose>Defines verbose or silent running mode.</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>mdp_verbose
mdp_silent</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>mdp_verbose is used to display running information (such as the
    number of iterations) while solution algorithms are running. </para>

    <para>mdp_silent is used to not display such information. </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">Effect of the verbose mode, running the function mdp_policy_iteration.
-&gt; P = list()
-&gt; P(1) = [ 0.5 0.5;   0.8 0.2 ];
-&gt; P(2) = [ 0 1;   0.1 0.9 ];
-&gt; R = [ 5 10;   -1 2 ];

-&gt; mdp_verbose
-&gt; V = mdp_policy_iteration(P, R, 0.9)
  Iteration Number_of_different_actions
        1            1
        2            0
V =
   42.44186
   36.046512

-&gt; mdp_silent
-&gt; V = mdp_policy_iteration(P, R, 0.9)
V =
   42.44186
   36.046512</programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Iadine Chadès, Marie-Josée Cros, Frédérick Garcia, Régis
      Sabbadin - INRA</member>
    </simplelist>
  </refsection>
</refentry>
